from matplotlib import pyplot as plt
import pandas as pd

# ucitavamo podatke iz csv fajla
data = pd.read_csv("survey.csv")
ids = data["Responder_id"]
ages = data["Age"]

# kreiramo prvi prozor
plt.figure(1)

# na prvom prozoru crtamo komplet histogram sa 
# automatski odredjenim kategorijama
# histogram prikazujemo sa logaritamskom skalom, da bismo
# bolje uocili sve podatke
plt.hist(ages, edgecolor="black", log=True)

# uobicajena podesavanja
# u slucaju kada imamo vise figura, tj. prozora
# podesavanja moramo da definisemo za svaki prozor pojedinacno
plt.title("Godine ispitanika")
plt.xlabel("Godine")
plt.ylabel("Broj ispitanika")
plt.tight_layout()

# kreiramo drugi prozor
plt.figure(2)

# definisemo medijalne godine ispitanika
# u nastavku kursa, naucicemo kako da je izracunamo
median_age = 29

# definisemo katerogije koje nas zanimaju
bins = [20,30,40,50]
# crtamo histogram 
plt.hist(ages, bins=bins, edgecolor="black", color="red")
# na histogram dodajemo vertikalnu liniju koja predstavlja medijalne godine
# ispitanika
plt.axvline(median_age, color="blue", linewidth=2,
                label="Median age")

# uobicajena podesavanja
# u slucaju kada imamo vise figura, tj. prozora
# podesavanja moramo da definisemo za svaki prozor pojedinacno
plt.legend()
plt.title("Godine ispitanika")
plt.xlabel("Godine")
plt.ylabel("Broj ispitanika")

plt.tight_layout()
# crtamo grafike
# koliko god prozora da definisemo u programu, show pozivamo samo jednom
plt.show()