from matplotlib import pyplot as plt

# scatter plot se korist za prikazivanje podataka u ravni
# najcesce se koristi za brzo ispitivanje da li postoji neki
# vid korelacije izmedju podataka

# definisemo uredjene parove podataka (x,y)
x = [2,3,7,2,4,7,8,9,1,5,6]
y = [5,2,6,3,9,1,3,5,7,4,8]
# svakom paru podataka mozemo da dodelimo razlicit intenzitet boje
# koji na primer moze oznacavati koliko se neko slaze/ne slaze sa 
# datim tvrdjenjem (ide u paru sa colomapama)
color=[2,3,5,8,9,4,5,3,8,9,1]
# kao sto smo dodeljivali boje, na isti nacin mozemo dodeljivati
# i razlicite veliciine svakom podatku
sizes=[120, 150, 160, 110, 200, 148, 127, 150, 160, 110, 200]
# crtamo scatter plot. dotupan je veliki broj podesavanja, a najcesca su
# s - vektor velicina koji se pridruzuje odgovorima
# c - vektor kojim se odredjuje intenzitet boja odgovora
# marker - oblik kojim se definise izgled podatka na crtezu (x,*,o, ...), podefiniciji je krug
# cmap -> mapa boja koju cemo koristiti (Greens, Blues, summer, itd)
# edgecolor - boja ivice koja se crta oko oblika kojim se prikazuje podataka
# alhpa - nivo neprovidnoti objekta
plt.scatter(x,y, s=sizes, #marker='x',
            c=color, cmap="Greens", edgecolor='black',
            alpha=0.75)

# na crtez dodajemo graficki prikaz mape boja
cbar = plt.colorbar()
# definisemo opis mape boja
cbar.set_label("Stepen slaganja sa izjavom")

plt.tight_layout()
# crtamo grafik
plt.show()
