from matplotlib import pyplot as plt
import pandas as pd

# ucitavamo podatke iz csv fajla
data = pd.read_csv("views-likes.csv")
count = data["view_count"]
likes = data["likes"]
ratio = data["ratio"]

# crtamo scatter plot nasih podataka
plt.scatter(count, likes, c=ratio, edgecolor='black',
            alpha=0.75, cmap="summer", linewidths=1)

# dodajemo mapu boja
cbar = plt.colorbar()
cbar.set_label("Like/Dislike ratio")

# uobicajena podesavanja grafika
plt.title("Views/Likes")
plt.xlabel("Views")
plt.ylabel("Likes")
# da bismo vizuelno priblizili autlajere koristimo
# logaritamsku skalu i za x i za y osu
plt.xscale('log')
plt.yscale('log')

plt.tight_layout()
# crtamo grafik
plt.show()

