from matplotlib import pyplot as plt
import pandas as pd

# ucitavamo podatke iz csv fajla
data = pd.read_csv("income_survey.csv")
age = data["Age"]
all_devs = data["All_Devs"]
py_devs = data["Python"]
js_devs = data["JavaScript"]

# na istoj figuri zelimo da prikazemo dva odvojena crteza
# jedan ispod drugog
# fig je sama figura, a ax1 i ax2 su crtezi koje zelimo da nacrtamo
fig, (ax1,ax2) = plt.subplots(nrows=2, ncols=1, sharex=True, sharey=True)

# crtamo prvi crtez
ax1.plot(age, all_devs, label="all")
ax1.plot(age, py_devs, label="Python")

# podesavamo prikaz prvog crteza
ax1.set_xlabel("Age")
ax1.set_ylabel("Income")
ax1.set_title("All vs Python")
ax1.legend()

# crtamo drugi crtez
ax2.plot(age, all_devs, label="All")
ax2.plot(age, js_devs, label="JavaScript")

# podesavamo prikaz drugog crteza
ax2.set_xlabel("Age")
ax2.set_ylabel("Income")
ax2.set_title("All vs JavaScript")
ax2.legend()

# podesavamo uske margine na figuri
plt.tight_layout()
# crtamo samu figuru
plt.show()